function [T,t] = INTERPOLATE(eq,U,t,location,savefile,filename)
%INTERPOLATE Pomocná funkce, která intepoluje řešení z uzlů triangulace do
% souřadnic x,y uložených v proměnné location (pro každý čas)
T = zeros(size(location,1),size(t,2));
for i=1:size(t,2)
    for j=1:size(location,1)
        T(j,i) = tri2grid(eq.domain.p,eq.domain.t,U(:,i),location(j,1),location(j,2));
    end
end

if savefile
    save(filename,'t','T');
end
end

